Last Comment Bug 690849 - Fix height of dialog buttons
: Fix height of dialog buttons
Status: VERIFIED FIXED
[fixed in aurora]
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks: 655762 682412
  Show dependency treegraph
 
Reported: 2011-09-30 11:17 PDT by Wesley Johnston (:wesj)
Modified: 2011-12-29 06:59 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (699 bytes, patch)
2011-09-30 12:59 PDT, Sriram Ramasubramanian [:sriram]
wjohnston2000: review+
mark.finkle: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Wesley Johnston (:wesj) 2011-09-30 11:17:51 PDT
The prefs pane patch changed the style of our buttons. I think it accidently made buttons on prompts/dialogs/etc slightly smaller. We should make them big again.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-09-30 12:59:07 PDT
Created attachment 563814 [details] [diff] [review]
Patch

A padding was missing. This has been added.
Comment 2 Matt Brubeck (:mbrubeck) 2011-10-01 10:56:50 PDT
Pushed to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/6c540571b551

Aurora 9 is not currently affected, but we should request approval if we decide to land bug 682412  on Aurora.
Comment 3 Dão Gottwald [:dao] 2011-10-01 12:45:53 PDT
(In reply to Matt Brubeck (:mbrubeck) from comment #2)
> Pushed to inbound:
> https://hg.mozilla.org/integration/mozilla-inbound/rev/6c540571b551

Code changes, no matter how trivial, shouldn't be DONTBUILD. If some test breaks (yes, unexpectedly!), the initial blame is going to be on the subsequent landing (me in this case).
Comment 4 Matt Brubeck (:mbrubeck) 2011-10-01 14:11:32 PDT
(In reply to Dão Gottwald [:dao] from comment #3)
> Code changes, no matter how trivial, shouldn't be DONTBUILD. If some test
> breaks (yes, unexpectedly!), the initial blame is going to be on the
> subsequent landing (me in this case).

Okay, sure.  I was thinking of this as NPOTB because it was in a file that's used only on an platform (Android 3.0) that we don't have automated test machines for.  But I'll try to err on the side of more testing instead instead of less.  (I'm also the person who has personally backed out most of the breakage on inbound in the past week, so I am of course sympathetic to anything that makes that process easier.)
Comment 5 Marco Bonardo [::mak] 2011-10-03 07:56:57 PDT
https://hg.mozilla.org/mozilla-central/rev/6c540571b551
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-04 14:04:27 PDT
Comment on attachment 563814 [details] [diff] [review]
Patch

Simple cleanup fix
Comment 7 Matt Brubeck (:mbrubeck) 2011-10-07 10:30:07 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/69b3acb2a4d6
Comment 8 Camelia Urian 2011-10-10 06:34:04 PDT
Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110929 Firefox/9.0a2 Fennec/9.0a2
Device: HTC Desire Z
OS: Android 2.3

Verified on latest Aurora build, prompts/dialogs/buttons... seem ok, but how do we know exactly how big should the prompts/buttons be? How can we verify this?
Comment 9 Carla Nadastean 2011-12-29 06:59:29 PST
Marking bug as verified since there is no longer an issue with dialog buttons height.

Mozilla/5.0 (Android;Linux armv7l;rv:10.0)Gecko/20111228 Firefox/10.0 Fennec/10.0
Device: Samsung Galaxy S2
OS: Android 2.3

Note You need to log in before you can comment on or make changes to this bug.